
Portal - Employment  - Bug #1884

RMPMF 004 - Resend work permit with a newly issued number - Submission form notes

09/26/2019 06:22 PM - Israa Naser

Status: Fixed Start date: 09/26/2019

Priority: Normal Due date:  

Assignee: Israa Naser % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Furat Swalha, Israa Naser Actual Result:  

Severity: Normal Environment: QA

Category: PAMP PHASE II - Portal - Employment Transaction Number:  

Sub-Category:  Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:  SERVICE_ID: 74

Description

1- there should be a validation on the Civil ID to accept numbers only

No letters / special characters / spaces

2- the report generated should follow the standard report changes, check screenshot attached,

and would you please make sure to leave enough space to fields that accepts large values such as the worker name

History

#1 - 09/26/2019 06:22 PM - Israa Naser

- Subject changed from RMPMF 004 - Resend work permit with a newly issued number -  to RMPMF 004 - Resend work permit with a newly issued

number - Submission form notes

#2 - 09/29/2019 08:53 AM - Furat Swalha

- Status changed from Open to Fixed

- Assignee changed from Furat Swalha to Israa Naser

- % Done changed from 0 to 100

Fixed , wait for the next deployment please

#3 - 10/01/2019 04:47 PM - Israa Naser

- File 74 - Report - fields white background.png added

- File 74 - civil ID validation fix.png added

- Status changed from Fixed to Open

- Assignee changed from Israa Naser to Furat Swalha

- % Done changed from 100 to 80

- Co-Workers Furat Swalha, Israa Naser added

Tested the first issue fix, the validation is added to the Civil ID field, check screenshot attached

-----

the second note still need some changes:

1- the fields background should be transparent, not white

2- the field رقم الملف shouldn't be displayed among the request fields

checks screenshot attached
#4 - 10/01/2019 05:39 PM - Furat Swalha

- Status changed from Open to Fixed

- Assignee changed from Furat Swalha to Israa Naser

- % Done changed from 80 to 100

fixed , wait for the next re-deployment please

Files

74 - civil id validation.PNG 93.6 KB 09/26/2019 Israa Naser

74 - actual report.PNG 192 KB 09/26/2019 Israa Naser

Standard report.PNG 224 KB 09/26/2019 Israa Naser

74 - Report - fields white background.png 88 KB 10/01/2019 Israa Naser

74 - civil ID validation fix.png 153 KB 10/01/2019 Israa Naser
